<template name="deleteCourseEvents">
	<div class="event-caption-wrap">
		<button class="btn p-0 js-show-events-delete-modal"
				title="{{i18n 'course.event.edit.deleteEvents' 'Delete events' attr=true}}">
			<div
				 class="event-caption event-caption-placeholder event-caption-action event-caption-delete">
				<div class="event-caption-header-wrap">
					<div class="event-caption-header">
						<div class="event-caption-pseudoborder"></div>
					</div>
				</div>
				<div class="event-caption-body-wrap">
					<div class="event-caption-body"></div>
				</div>
				<span class="event-caption-icon">
					<i class="fa-solid fa-trash-can fa-2x"></i>
				</span>
			</div>
		</button>
	</div>
</template>

<template name="deleteEventsModal">
	<div class="modal delete-events-modal js-delete-events-modal" tabindex="-1" role="dialog">
		<div class="modal-dialog modal-sm" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title">
						<span class="fa-solid fa-trash-can fa-fw" aria-hidden="true"></span>
						{{i18n 'deleteEventsModal.title' 'Delete events'}}
					</h4>
					<button type="button" class="btn-close" data-bs-dismiss="modal"
							aria-label="Close"></button>
				</div>
				<div class="modal-body">
					{{#if state 'showDeleteConfirm'}}
						<div class="card">
							<div class="card-header text-white bg-danger">
								{{i18n 'deleteEventsModal.confirm' 'Confirm deletion of events'}}
							</div>
							<div class="card-body">
								{{i18n 'deleteEventsModal.reallyDelete' 'Delete {NUM, plural, one{this event} other{these # events} }?' NUM=numSelectedEvents}}
							</div>
							<ul class="list-group list-group-flush selected-events">
								{{#each event in (state 'selectedEvents')}}
									<li class="list-group-item list-group-item-danger">
										<button type="button"
												class="btn-close js-deselect-event float-end"
												data-event-id="{{event._id}}"
												aria-label="Close"></button>
										{{> deleteEventsEvent event}}
									</li>
								{{/each}}
							</ul>
							<div class="card-body">
								<div class="delete-events-actions">
									<button type="button" class="btn btn-danger js-delete-events"
											{{disabledIfBusy}}>
										{{#if busy 'deleting'}}
											<span class="fa-solid fa-circle-notch fa-spin fa-fw"
												  aria-hidden="true"></span>
											{{i18n 'deleteEventsModal.deletingEvents' 'Deleting {NUM, plural, one{event} other{events} }…' NUM=numSelectedEvents}}
										{{else}}
											{{i18n 'deleteEventsModal.confirmDeleteEvents' 'Delete {NUM, plural, one{event} other{events} }' NUM=numSelectedEvents}}
										{{/if}}
									</button>
									<button type="button" class="btn btn-secondary js-cancel"
											{{disabledIfBusy}}>
										{{i18n '_button.cancel'}}
									</button>
								</div>
							</div>
						</div>
					{{else}}
						<div class="delete-events-list">
							{{#each upcomingEvents}}
								<div class="form-check">
									<input class="form-check-input" type="checkbox" value=""
										   id="deleteEventsListCheck{{_id}}"
										   checked="{{isSelected}}" {{disabledIfBusy}} />
									<label class="form-check-label"
										   for="deleteEventsListCheck{{_id}}">{{> deleteEventsEvent}}</label>
								</div>
							{{/each}}
						</div>
						<div class="delete-events-actions">
							<button class="btn btn-danger js-show-delete-confirm"
									{{disabledIfNoEventsSelected}}>
								{{i18n 'deleteEventsModal.deleteEvents' 'Delete {NUM, plural, =0{event} one{event} other{# events} }' NUM=numSelectedEvents}}
							</button>
							<button class="btn btn-secondary js-toggle-all">
								{{#if state 'allEventsSelected'}}
									{{i18n 'deleteEventsModal.clearSelection' 'Clear selection'}}
								{{else}}
									{{i18n 'deleteEventsModal.selectAll' 'Select all'}}
								{{/if}}
							</button>
						</div>
					{{/if}}
				</div>
			</div>
		</div>
	</div>
</template>

<template name="deleteEventsEvent">
	<span class="delete-events-events-title">
		{{title}}
	</span>
	<div class="delete-events-details">
		<span class="delete-events-details-component">
			<span class="fa-regular fa-calendar-days fa-fw" aria-hidden="true"></span>
			{{weekdayFormat start}}
			{{dateFormat start}}
		</span>
		<span class="delete-events-details-component">
			<span class="fa-regular fa-clock fa-fw" aria-hidden="true"></span>
			{{timeFormat start}}
			-
			{{timeFormat end}}
		</span>
	</div>
</template>
